Subject: Re: Conflict between libcygwin.a and GCC core libraries
From: "Max Bowsher" <[email-masked]>
To: "Markus Gerwinski" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 19 Nov 2002 16:20:39 -0000

Markus Gerwinski <[email-masked]> wrote:
> I'm currently trying to compile GPA (s.
> http://www.gnupg.org/gpa.html) on Cygwin. To get it up and running,
> first of all I had to insert "-mno-cygwin
> -mms-bitfields" into the compiler options.

If you add -mno-cygwin, then you are trying to compile GPA for MinGW, not
Cygwin.

> After changing some more
> stuff in the makefiles, compiling runs fine now, but linking still
> causes trouble. First, I got a lot of `undefined references' to
> functions as basic as `__assert'. To get rid of them, I included
> "-lcygwin" by hand into the linker options.

Aaargh! First you tell gcc to not use cygwin, then you tell it to sort-of
use cygwin.
No wonder its confused!

Solution: Don't do that.

Do you actually intend to compile GPA for MinGW or Cygwin?
If Cygwin, drop the -mno-cygwin.
If MinGW, make sure the gcc-mingw package is installed.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/